petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscContainerUserDestroyDefault

Default destroy routine for user-provided data that simply calls PetscFree().

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscContainerUserDestroyDefault(void* ctx)

Logically Collective on PetscContainer

### Input Parameter

ctx -pointer to user-provided data

### See Also

PetscContainerDestroy(), PetscContainterSetUserDestroy()

### Level

advanced

### Location

src/sys/objects/inherit.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages